APIs / Tripadvisor / Search
Tripadvisor: Search
Search from Tripadvisor as JSON. 1 credit per successful call.
GET /v1/tripadvisor/search
Parameters
Send parameters in the query string.
| Parameter | Type | Required | Allowed values |
|---|---|---|---|
q | string | Required | Up to 255 characters |
locale | string | Optional | Up to 10 characters |
limit | integer | Optional | Any |
type | string | Optional | hotel, restaurant, attraction, destination |
Example request
Tripadvisor
GET/v1/tripadvisor/search?q=pizza+rome&limit=3
{
"success": true,
"data": {
"query": "pizza rome",
"results": [
{
"position": 1,
"location_id": 11449818,
"name": "Pompeii from Rome with Optional Mt. Vesuvius & Pizza Lunch",
"type": "attraction",
"location": "Rome, Lazio, Italy",
"image": "https://dynamic-media-cdn.tripadvisor.com/media/photo-o/32/a3/97/3a/caption.jpg?w=800&h=-1&s=1",
"url": "https://www.tripadvisor.com/AttractionProductReview-g187791-d11449818-Pompeii_from_Rome_with_Optional_Mt_Vesuvius_Pizza_Lunch-Rome_Lazio.html",
"rating": 4.7,
"review_count": 1617
},
{
"position": 2,
"location_id": 28122604,
"name": "Rome Pizza & Gelato Class with Wine by Cooking Italy",
"type": "attraction",
"location": "Rome, Lazio, Italy",
"image": "https://dynamic-media-cdn.tripadvisor.com/media/photo-o/34/52/f0/4b/caption.jpg?w=800&h=-1&s=1",
"url": "https://www.tripadvisor.com/AttractionProductReview-g187791-d28122604-Rome_Pizza_Gelato_Class_with_Wine_by_Cooking_Italy-Rome_Lazio.html",
"rating": 5,
"review_count": 1492
},
{
"position": 3,
"location_id": 11465610,
"name": "Cooking Class in the Heart of Rome: Pizza and Tiramisu Making",
"type": "attraction",
"location": "Rome, Lazio, Italy",
"image": "https://dynamic-media-cdn.tripadvisor.com/media/photo-o/33/71/2d/29/caption.jpg?w=800&h=-1&s=1",
"url": "https://www.tripadvisor.com/AttractionProductReview-g187791-d11465610-Cooking_Class_in_the_Heart_of_Rome_Pizza_and_Tiramisu_Making-Rome_Lazio.html",
"rating": 4.9,
"review_count": 1487
}
]
},
"meta": {
"endpoint_family": "search",
"billable": true
}
}200 OKJSONX-Credits-Used: 1
Recorded from our API and shortened.
Run this endpoint in the playground with your own parameters. 1 credit per successful call; failed calls are free.